Debian Bug report logs - #552240
libasound2: speed up snd_device_name_hint by caching path to libasound.so

version graph

Package: libasound2; Maintainer for libasound2 is Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>; Source for libasound2 is src:alsa-lib.

Reported by: John Lindgren <john.lindgren@tds.net>

Date: Sat, 24 Oct 2009 15:54:05 UTC

Severity: normal

Tags: patch, wontfix

Found in version alsa-lib/1.0.21a-1

Done: John Lindgren <john.lindgren@tds.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#552240; Package libasound2. (Sat, 24 Oct 2009 15:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Lindgren <john.lindgren@tds.net>:
New Bug report received and forwarded. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Sat, 24 Oct 2009 15:54:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: John Lindgren <john.lindgren@tds.net>
To: submit@bugs.debian.org
Subject: libasound2: speed up snd_device_name_hint by caching path to libasound.so
Date: Sat, 24 Oct 2009 11:51:13 -0400
[Message part 1 (text/plain, inline)]
Package: libasound2
Version: 1.0.21a-1
Severity: normal
Tags: patch

In a call to snd_device_name_hint, snd_dlopen is frequently called with
the parameter name == NULL, meaning to open libasound.so itself.  In
this case, snd_dlopen calls dladdr on every call to find out the path to
libasound.so.  I am attaching a simple patch to cache this path within
snd_dlopen so that dladdr is called only once; with this patch, the
execution time of snd_device_name_hint (a somewhat slow call) is reduced
by 40%.

Peace,
John Lindgren


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-2-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libasound2 depends on:
ii  libc6                         2.9-25     GNU C Library: Shared libraries

libasound2 recommends no packages.

Versions of packages libasound2 suggests:
ii  libasound2-plugins            1.0.21-1   ALSA library additional plugins

-- no debconf information
[dlmisc.c.diff (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#552240; Package libasound2. (Sat, 24 Oct 2009 16:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Lindgren <john.lindgren@tds.net>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Sat, 24 Oct 2009 16:18:03 GMT) Full text and rfc822 format available.

Message #10 received at 552240@bugs.debian.org (full text, mbox):

From: John Lindgren <john.lindgren@tds.net>
To: 552240@bugs.debian.org
Subject: Re: libasound2: speed up snd_device_name_hint by caching path to libasound.so
Date: Sat, 24 Oct 2009 12:02:36 -0400
[Message part 1 (text/plain, inline)]
Correction to that patch to prevent a stale pointer.

Peace,
John Lindgren
[dlmisc.c.diff (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#552240; Package libasound2. (Sat, 24 Oct 2009 16:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Lindgren <john.lindgren@tds.net>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Sat, 24 Oct 2009 16:24:03 GMT) Full text and rfc822 format available.

Message #15 received at 552240@bugs.debian.org (full text, mbox):

From: John Lindgren <john.lindgren@tds.net>
To: 552240@bugs.debian.org
Subject: Re: libasound2: speed up snd_device_name_hint by caching path to libasound.so
Date: Sat, 24 Oct 2009 12:07:27 -0400
Please disregard the previous message; the original patch was correct.

On Sat, 2009-10-24 at 12:02 -0400, John Lindgren wrote:
> Correction to that patch to prevent a stale pointer.
> 
> Peace,
> John Lindgren





Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#552240; Package libasound2. (Sat, 24 Oct 2009 17:30:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Sat, 24 Oct 2009 17:30:11 GMT) Full text and rfc822 format available.

Message #20 received at 552240@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: John Lindgren <john.lindgren@tds.net>, 552240@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [Pkg-alsa-devel] Bug#552240: libasound2: speed up snd_device_name_hint by caching path to libasound.so
Date: Sat, 24 Oct 2009 19:09:03 +0200
tags 552240 wontfix
thanks

Hi John,

* John Lindgren [091024 11:51 -0400]
> Package: libasound2
> Version: 1.0.21a-1
> Severity: normal
> Tags: patch
> 
> In a call to snd_device_name_hint, snd_dlopen is frequently called with
> the parameter name == NULL, meaning to open libasound.so itself.  In
> this case, snd_dlopen calls dladdr on every call to find out the path to
> libasound.so.  I am attaching a simple patch to cache this path within
> snd_dlopen so that dladdr is called only once; with this patch, the
> execution time of snd_device_name_hint (a somewhat slow call) is reduced
> by 40%.

it seems to be that you'll get an alsa developer more and more. So
please don't expect that the Debian ALSA-package maintainers will fix
irregular behaviour you find in ALSA. Please take advantage to
discuss those things directly with the ALSA developers at
alsa-devel@alsa-project.org. Distribution specific fixes don't make
sense in this paticular case. All ALSA users should have advantage
of your devælopment ;-) I declare this bug as wontfix, as far as I
won't forward this as another bug found from you to alsa-devel.

Thanks
Elimar


-- 
  The path to source is always uphill!
                                -unknown-




Added tag(s) wontfix. Request was from Elimar Riesebieter <riesebie@lxtec.de> to control@bugs.debian.org. (Sat, 24 Oct 2009 17:30:12 GMT) Full text and rfc822 format available.

Reply sent to John Lindgren <john.lindgren@tds.net>:
You have taken responsibility. (Sun, 01 Nov 2009 18:00:28 GMT) Full text and rfc822 format available.

Notification sent to John Lindgren <john.lindgren@tds.net>:
Bug acknowledged by developer. (Sun, 01 Nov 2009 18:00:28 GMT) Full text and rfc822 format available.

Message #27 received at 552240-done@bugs.debian.org (full text, mbox):

From: John Lindgren <john.lindgren@tds.net>
To: Elimar Riesebieter <riesebie@lxtec.de>, 552240-done@bugs.debian.org
Subject: Re: libasound2: speed up snd_device_name_hint by caching path to libasound.so
Date: Sun, 01 Nov 2009 12:54:04 -0500
I've forwarded this improvement upstream, so closing:

http://mailman.alsa-project.org/pipermail/alsa-devel/2009-October/022505.html

Peace,
John Lindgren





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 30 Nov 2009 07:37:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 22:03:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.